Loading...
Searching...
No Matches
lemon::dim2 Namespace Reference

## Detailed Description

This namespace is a storage of several tools for handling two dimensional coordinates

## Classes

class | Point
| Two dimensional vector (plain vector). More...
class | Box
| Bounding box of plain vectors (points). More...
class | XMap
| Map of x-coordinates of a Point-map. More...
class | ConstXMap
| Constant (read only) version of XMap. More...
class | YMap
| Map of y-coordinates of a Point-map. More...
class | ConstYMap
| Constant (read only) version of YMap. More...
class | NormSquareMap
| Map of the normSquare() of a Point-map. More...

## Functions

template<typename T>
Point< T > | makePoint (const T &x, const T &y)
| Return a Point.
template<typename T>
Point< T > | operator* (const T &u, const Point< T > &x)
| Return a vector multiplied by a scalar.
template<typename T>
std::istream & | operator>> (std::istream &is, Point< T > &z)
| Read a plain vector from a stream.
template<typename T>
std::ostream & | operator<< (std::ostream &os, const Point< T > &z)
| Write a plain vector to a stream.
template<typename T>
Point< T > | rot90 (const Point< T > &z)
| Rotate by 90 degrees.
template<typename T>
Point< T > | rot180 (const Point< T > &z)
| Rotate by 180 degrees.
template<typename T>
Point< T > | rot270 (const Point< T > &z)
| Rotate by 270 degrees.
template<typename T>
std::istream & | operator>> (std::istream &is, Box< T > &b)
| Read a box from a stream.
template<typename T>
std::ostream & | operator<< (std::ostream &os, const Box< T > &b)
| Write a box to a stream.
template<class M>
XMap< M > | xMap (M &m)
| Returns an XMap class.
template<class M>
ConstXMap< M > | xMap (const M &m)
| Returns a ConstXMap class.
template<class M>
YMap< M > | yMap (M &m)
| Returns a YMap class.
template<class M>
ConstYMap< M > | yMap (const M &m)
| Returns a ConstYMap class.
template<class M>
NormSquareMap< M > | normSquareMap (const M &m)
| Returns a NormSquareMap class.